Subject: Re: linux-next: manual merge of the security-testing tree with Linus' tree

From: David Howells <[email-masked]>
Date: Thu, 06 May 2010 11:49:48 +0100

Stephen Rothwell <[email-masked]> wrote:

> I just used the version from Linus' tree.

Okay.

However, I'd like to NAK some bits of c5b60b5e67af8be4c58d3ffcc36894f69c4fbdc1
now that I see it...

	@@ -1282,16 +1282,16 @@ long keyctl_session_to_parent(void)
	 
	        /* the parent must have the same effective ownership and mustn't be
	         * SUID/SGID */
	-       if (pcred-> uid != mycred->euid ||
	+       if (pcred->uid  != mycred->euid ||
	            pcred->euid != mycred->euid ||
	            pcred->suid != mycred->euid ||
	-           pcred-> gid != mycred->egid ||
	+           pcred->gid  != mycred->egid ||
	            pcred->egid != mycred->egid ||
	            pcred->sgid != mycred->egid)
	                goto not_permitted;
	 
	        /* the keyrings must have the same UID */
	-       if (pcred ->tgcred->session_keyring->uid != mycred->euid ||
	+       if (pcred->tgcred->session_keyring->uid != mycred->euid ||
	            mycred->tgcred->session_keyring->uid != mycred->euid)
	                goto not_permitted;

_Please_ don't do either of these.  The whole point is to line stuff up so
that as the eye scans down the lines, it can easily pick out the differences
in stuff that's otherwise greatly repetitive.

David